# Class BasicTreeUI.TreeIncrementAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.basic.BasicTreeUI.TreeIncrementAction

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, EventListener, Action`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.TreeIncrementAction extends AbstractAction
TreeIncrementAction is used to handle up/down actions. Selection is moved up or down based on direction.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `direction`
  Specifies the direction to adjust the selection by.

  ### Fields declared in class AbstractAction

  `changeSupport, enabled`

  ### Fields declared in interface Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeIncrementAction(int direction, String name)`
  Constructs a new instance of `TreeIncrementAction`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  Invoked when an action occurs.

  ### Methods declared in class AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

  ### Methods declared in class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Action

  `accept`

- ## Field Details

  - ### direction

    protected int direction
    Specifies the direction to adjust the selection by.

- ## Constructor Details

  - ### TreeIncrementAction

    public TreeIncrementAction(int direction, String name)
    Constructs a new instance of `TreeIncrementAction`.
    Parameters:
      `direction` - the direction
      `name` - the name of action

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    Description copied from interface: `ActionListener`
    Invoked when an action occurs.
    Parameters:
      `e` - the event to be processed